.. _sec.development.api:

Models API
==========

All functions, classes, their member variables and methods, needed to develop new models are described here.

.. toctree::
	:maxdepth: 2
	:titlesonly:

	class_baseunit
	class_basestream
	class_stream
	class_holdup
	class_portsmanager
	class_unitport
	class_unitparametersmanager
	class_unitparameters
	class_chemicalreaction
	class_agglomerationsolver
	class_basesolver
	class_statevariablesmanager
	class_statevariable
	class_point
	class_curve
	class_plot
	class_plotmanager
	class_mixtureenthalpylookup
	class_matrix2d
	class_densemdmatrix
	class_transformmatrix
	distr_functions
	thermodynamics
	solver_dae
	solver_kinsol
	solver_external
	constants

|
